Bug 461556 - Kpowersave options not working after wake from suspend mode
Kpowersave options not working after wake from suspend mode
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kpowersave (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-08 23:27 EDT by Mohamed Yehiya
Modified: 2009-07-14 12:55 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:55:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mohamed Yehiya 2008-09-08 23:27:51 EDT
Description of problem:
                      Brightness is not responding after a starting from suspend mode (from RAM)

Version-Release number of selected component (if applicable):
Fedora 9

How reproducible:
                 Try suspend to RAM by following the below steps

Steps to Reproduce:
1. Unplug the a/c power from adaptor from the laptop
2. In the leave option click on "Suspend to RAM"
3. Wait for system to completely suspended [though I have many applications open]
4. After restart (My system looked very dim), tried increasing the brightness throught the touch pad option i normally use it (not worked). Then I increased the brightness from 60% in the bar to around 90% still no response
  
Actual results:

No response for any activity in the kpower option after system started from suspended mode from RAM

Expected results:

Kpower should work normal as it expected

Additional info:
Comment 1 Rex Dieter 2008-09-09 11:08:33 EDT
Your 4. comment makes me (almost) certain that there's a problem at a much lower level than kpowersave, maybe a kernel/driver problem.

More details may help:
What make/model of laptop?
rpm -q kernel kpowersave

You could try installing guidance-power-manager to see if it works any better for you:
yum install guidance-power-manager
(and re-login)
Comment 2 Mohamed Yehiya 2008-09-25 21:45:03 EDT
[root@yehiya-pc ~]# rpm -q kernel kpowersave
kernel-2.6.25.14-69.fc8.i686
kernel-2.6.25.14-108.fc9.i686
kpowersave-0.7.3-3.fc9.i386
[root@yehiya-pc ~]#

Unable to update/install guidance-power-manage due to the following issue

PyKDE4-4.1.1-1.fc9.i386 from updates-newkey has depsolving problems
  --> Missing Dependency: libakonadi-kde.so.4 is needed by package PyKDE4-4.1.1-1.fc9.i386 (updates-newkey)
PyKDE4-4.1.1-1.fc9.i386 from updates-newkey has depsolving problems
  --> Missing Dependency: kdelibs4 >= 4.1.1 is needed by package PyKDE4-4.1.1-1.fc9.i386 (updates-newkey)
PyKDE4-4.1.1-1.fc9.i386 from updates-newkey has depsolving problems
  --> Missing Dependency: libakonadi-kmime.so.4 is needed by package PyKDE4-4.1.1-1.fc9.i386 (updates-newkey)


I tried installing the downloading and installing rpm, but that too failed
Comment 3 Mohamed Yehiya 2008-09-27 16:17:56 EDT
(In reply to comment #1)
> Your 4. comment makes me (almost) certain that there's a problem at a much
> lower level than kpowersave, maybe a kernel/driver problem.
> 
> More details may help:
> What make/model of laptop?
> rpm -q kernel kpowersave
> 
> You could try installing guidance-power-manager to see if it works any better
> for you:
> yum install guidance-power-manager
> (and re-login)

I managed install and upgrade my kde to 4.1 version with guidance-power-manager 
Now we have got an clue on this.
Since the processor 2 got disabled while wake up from suspend mode (https://bugzilla.redhat.com/show_bug.cgi?id=461422)

Got the following alert "CPU frequency policy could not be set"

Still problem exist
Comment 4 Steven M. Parrish 2008-09-28 16:55:26 EDT
Sounds like it is a kernel issue so reassigning there.
Comment 5 Mohamed Yehiya 2008-09-28 18:42:43 EDT
Though the kpowersave options work after logout and login. The processor 2 remains disabled until restart the system.
Comment 6 Matthew Garrett 2009-05-20 05:54:03 EDT
If it works after a logout/login then it doesn't sound like a kernel problem.
Comment 7 Steven M. Parrish 2009-06-07 18:54:37 EDT
F9 is now approaching its EOL(End of Life).  If you are currently using F10 or F11 can you advise if this is still an issue with those releases?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 8 Bug Zapper 2009-06-09 22:40:17 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-07-14 12:55:56 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.